package com.ruoyi.interfaces.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.interfaces.mapper.SysMetaFieldMapper;
import com.ruoyi.interfaces.domain.SysMetaField;
import com.ruoyi.interfaces.service.ISysMetaFieldService;

/**
 * 元数据字段Service业务层处理
 * 
 * @author 朱得糠
 * @date 2025-08-02
 */
@Service
public class SysMetaFieldServiceImpl implements ISysMetaFieldService 
{
    @Autowired
    private SysMetaFieldMapper sysMetaFieldMapper;

    /**
     * 查询元数据字段
     * 
     * @param dsCode 元数据字段主键
     * @return 元数据字段
     */
    @Override
    public SysMetaField selectSysMetaFieldByDsCode(String dsCode)
    {
        return sysMetaFieldMapper.selectSysMetaFieldByDsCode(dsCode);
    }

    /**
     * 查询元数据字段列表
     * 
     * @param sysMetaField 元数据字段
     * @return 元数据字段
     */
    @Override
    public List<SysMetaField> selectSysMetaFieldList(SysMetaField sysMetaField)
    {
        return sysMetaFieldMapper.selectSysMetaFieldList(sysMetaField);
    }

    /**
     * 新增元数据字段
     * 
     * @param sysMetaField 元数据字段
     * @return 结果
     */
    @Override
    public int insertSysMetaField(SysMetaField sysMetaField)
    {
        return sysMetaFieldMapper.insertSysMetaField(sysMetaField);
    }

    /**
     * 修改元数据字段
     * 
     * @param sysMetaField 元数据字段
     * @return 结果
     */
    @Override
    public int updateSysMetaField(SysMetaField sysMetaField)
    {
        return sysMetaFieldMapper.updateSysMetaField(sysMetaField);
    }



    /**
     * 删除元数据字段信息
     * 
     * @param dsCode 元数据字段主键
     * @return 结果
     */
    @Override
    public int deleteSysMetaField(SysMetaField sysMetaField)
    {
        return sysMetaFieldMapper.deleteSysMetaField(sysMetaField);
    }

    @Override
    public int deleteSysMetaFieldAll(SysMetaField sysMetaField) {
        return sysMetaFieldMapper.deleteSysMetaFieldAll(sysMetaField);
    }
}
